Update Saved Report
curl --request PATCH \
--url https://api.example.com/reports/{report_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"query": {
"filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"filter_groups": [
[
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
]
],
"any_filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"period": {
"field": "<string>",
"range": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
},
"measure": {
"agg": "count",
"field": "<string>"
},
"view_by": "<string>",
"segment_by": "<string>",
"chart": "column",
"columns": [
"<string>"
],
"sort": [
{
"field": "<string>",
"dir": "desc"
}
]
}
}
'import requests
url = "https://api.example.com/reports/{report_id}"
payload = {
"name": "<string>",
"description": "<string>",
"query": {
"filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"filter_groups": [[
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
]],
"any_filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"period": {
"field": "<string>",
"range": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
},
"measure": {
"agg": "count",
"field": "<string>"
},
"view_by": "<string>",
"segment_by": "<string>",
"chart": "column",
"columns": ["<string>"],
"sort": [
{
"field": "<string>",
"dir": "desc"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
query: {
filters: [{field: '<string>', op: '<string>', value: '<unknown>'}],
filter_groups: [[{field: '<string>', op: '<string>', value: '<unknown>'}]],
any_filters: [{field: '<string>', op: '<string>', value: '<unknown>'}],
period: {field: '<string>', range: '<string>', start: '2023-12-25', end: '2023-12-25'},
measure: {agg: 'count', field: '<string>'},
view_by: '<string>',
segment_by: '<string>',
chart: 'column',
columns: ['<string>'],
sort: [{field: '<string>', dir: 'desc'}]
}
})
};
fetch('https://api.example.com/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'query' => [
'filters' => [
[
'field' => '<string>',
'op' => '<string>',
'value' => '<unknown>'
]
],
'filter_groups' => [
[
[
'field' => '<string>',
'op' => '<string>',
'value' => '<unknown>'
]
]
],
'any_filters' => [
[
'field' => '<string>',
'op' => '<string>',
'value' => '<unknown>'
]
],
'period' => [
'field' => '<string>',
'range' => '<string>',
'start' => '2023-12-25',
'end' => '2023-12-25'
],
'measure' => [
'agg' => 'count',
'field' => '<string>'
],
'view_by' => '<string>',
'segment_by' => '<string>',
'chart' => 'column',
'columns' => [
'<string>'
],
'sort' => [
[
'field' => '<string>',
'dir' => 'desc'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/reports/{report_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"query\": {\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"filter_groups\": [\n [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ]\n ],\n \"any_filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"period\": {\n \"field\": \"<string>\",\n \"range\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n },\n \"measure\": {\n \"agg\": \"count\",\n \"field\": \"<string>\"\n },\n \"view_by\": \"<string>\",\n \"segment_by\": \"<string>\",\n \"chart\": \"column\",\n \"columns\": [\n \"<string>\"\n ],\n \"sort\": [\n {\n \"field\": \"<string>\",\n \"dir\": \"desc\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/reports/{report_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"query\": {\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"filter_groups\": [\n [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ]\n ],\n \"any_filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"period\": {\n \"field\": \"<string>\",\n \"range\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n },\n \"measure\": {\n \"agg\": \"count\",\n \"field\": \"<string>\"\n },\n \"view_by\": \"<string>\",\n \"segment_by\": \"<string>\",\n \"chart\": \"column\",\n \"columns\": [\n \"<string>\"\n ],\n \"sort\": [\n {\n \"field\": \"<string>\",\n \"dir\": \"desc\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/reports/{report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"query\": {\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"filter_groups\": [\n [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ]\n ],\n \"any_filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"period\": {\n \"field\": \"<string>\",\n \"range\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n },\n \"measure\": {\n \"agg\": \"count\",\n \"field\": \"<string>\"\n },\n \"view_by\": \"<string>\",\n \"segment_by\": \"<string>\",\n \"chart\": \"column\",\n \"columns\": [\n \"<string>\"\n ],\n \"sort\": [\n {\n \"field\": \"<string>\",\n \"dir\": \"desc\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"query": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Reports
Update a Report
PATCH
/
reports
/
{report_id}
Update Saved Report
curl --request PATCH \
--url https://api.example.com/reports/{report_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"query": {
"filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"filter_groups": [
[
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
]
],
"any_filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"period": {
"field": "<string>",
"range": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
},
"measure": {
"agg": "count",
"field": "<string>"
},
"view_by": "<string>",
"segment_by": "<string>",
"chart": "column",
"columns": [
"<string>"
],
"sort": [
{
"field": "<string>",
"dir": "desc"
}
]
}
}
'import requests
url = "https://api.example.com/reports/{report_id}"
payload = {
"name": "<string>",
"description": "<string>",
"query": {
"filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"filter_groups": [[
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
]],
"any_filters": [
{
"field": "<string>",
"op": "<string>",
"value": "<unknown>"
}
],
"period": {
"field": "<string>",
"range": "<string>",
"start": "2023-12-25",
"end": "2023-12-25"
},
"measure": {
"agg": "count",
"field": "<string>"
},
"view_by": "<string>",
"segment_by": "<string>",
"chart": "column",
"columns": ["<string>"],
"sort": [
{
"field": "<string>",
"dir": "desc"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
query: {
filters: [{field: '<string>', op: '<string>', value: '<unknown>'}],
filter_groups: [[{field: '<string>', op: '<string>', value: '<unknown>'}]],
any_filters: [{field: '<string>', op: '<string>', value: '<unknown>'}],
period: {field: '<string>', range: '<string>', start: '2023-12-25', end: '2023-12-25'},
measure: {agg: 'count', field: '<string>'},
view_by: '<string>',
segment_by: '<string>',
chart: 'column',
columns: ['<string>'],
sort: [{field: '<string>', dir: 'desc'}]
}
})
};
fetch('https://api.example.com/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'query' => [
'filters' => [
[
'field' => '<string>',
'op' => '<string>',
'value' => '<unknown>'
]
],
'filter_groups' => [
[
[
'field' => '<string>',
'op' => '<string>',
'value' => '<unknown>'
]
]
],
'any_filters' => [
[
'field' => '<string>',
'op' => '<string>',
'value' => '<unknown>'
]
],
'period' => [
'field' => '<string>',
'range' => '<string>',
'start' => '2023-12-25',
'end' => '2023-12-25'
],
'measure' => [
'agg' => 'count',
'field' => '<string>'
],
'view_by' => '<string>',
'segment_by' => '<string>',
'chart' => 'column',
'columns' => [
'<string>'
],
'sort' => [
[
'field' => '<string>',
'dir' => 'desc'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/reports/{report_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"query\": {\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"filter_groups\": [\n [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ]\n ],\n \"any_filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"period\": {\n \"field\": \"<string>\",\n \"range\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n },\n \"measure\": {\n \"agg\": \"count\",\n \"field\": \"<string>\"\n },\n \"view_by\": \"<string>\",\n \"segment_by\": \"<string>\",\n \"chart\": \"column\",\n \"columns\": [\n \"<string>\"\n ],\n \"sort\": [\n {\n \"field\": \"<string>\",\n \"dir\": \"desc\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/reports/{report_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"query\": {\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"filter_groups\": [\n [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ]\n ],\n \"any_filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"period\": {\n \"field\": \"<string>\",\n \"range\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n },\n \"measure\": {\n \"agg\": \"count\",\n \"field\": \"<string>\"\n },\n \"view_by\": \"<string>\",\n \"segment_by\": \"<string>\",\n \"chart\": \"column\",\n \"columns\": [\n \"<string>\"\n ],\n \"sort\": [\n {\n \"field\": \"<string>\",\n \"dir\": \"desc\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/reports/{report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"query\": {\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"filter_groups\": [\n [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ]\n ],\n \"any_filters\": [\n {\n \"field\": \"<string>\",\n \"op\": \"<string>\",\n \"value\": \"<unknown>\"\n }\n ],\n \"period\": {\n \"field\": \"<string>\",\n \"range\": \"<string>\",\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\"\n },\n \"measure\": {\n \"agg\": \"count\",\n \"field\": \"<string>\"\n },\n \"view_by\": \"<string>\",\n \"segment_by\": \"<string>\",\n \"chart\": \"column\",\n \"columns\": [\n \"<string>\"\n ],\n \"sort\": [\n {\n \"field\": \"<string>\",\n \"dir\": \"desc\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"query": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Change a saved report’s name, description or query; only the fields sent change. Admins and managers only.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json